echo off
sg_mem 180
if errorlevel 1 goto smallmem
goto mem_ok

:smallmem
sg_notes 461 581 701
echo .
echo Not enough memory to run the demo.
echo You need at least 180K bytes free.
goto done

:mem_ok
sg_dmode
if errorlevel 8 goto cmodes
if errorlevel 7 goto mono
goto cmodes

:mono
rtdemo -xlate 710F
goto done

:cmodes
echo .
echo Is the monitor connected to your PC
echo B&W or Color?
echo .

sg_askw 10 bc (Type a B for B&W or C for Color): 

if errorlevel 255 goto timeout
:chkcode
if errorlevel 3 goto none
if errorlevel 2 goto color
if errorlevel 1 goto bw

:none
sg_notes 461 581 701
echo .
echo Please, only type the letter B or C.
echo .
sg_ask bc Type a B for B&W or a C for Color: 
goto chkcode

:timeout
echo C - Assuming Color

:color
rtdemo
goto done

:bw
rtdemo -xlate 9e8fcef01f0f1e0f4e704f70f0f0

:done

